Download it now!
Bug 31409 - Presenter fails to build if all languages are enabled
Summary: Presenter fails to build if all languages are enabled
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-05 04:31 UTC by Bernhard Rosenkraenzer
Modified: 2011-01-13 07:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposed fix (350 bytes, patch)
2010-11-05 05:00 UTC, Bernhard Rosenkraenzer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Rosenkraenzer 2010-11-05 04:31:57 UTC
The dmake file for presenter exceeds MAXLINELENGTH if all languages are enabled, causing the build to fail:

Entering /usr/src/ark/BUILD/libreoffice-build-3.2.99.2/build/libreoffice-3.2.99.2/sdext/source/presenter

dmake:  ../../unxlngx6.pro/misc/PresenterScreen.dpz:  line 1095:  Error: -- Input line too long, increase MAXLINELENGTH

1 module(s):
        sdext
need(s) to be rebuilt
Comment 1 Bernhard Rosenkraenzer 2010-11-05 05:00:55 UTC
Created attachment 40063 [details]
Proposed fix
Comment 2 Thorsten Behrens (CIB) 2010-11-09 01:52:52 UTC
Bernhard, fix looks good - if that works for you, please commit.
Comment 3 Bernhard Rosenkraenzer 2010-11-09 02:45:38 UTC
Not sure how this works after the ooo-build -> libreoffice switch... Should I just commit it into sdext or should I put it as a patch into libreoffice-build?
Comment 4 Thorsten Behrens (CIB) 2010-11-09 03:54:19 UTC
Bernhard, please commit directly into sdext.
Comment 5 Bernhard Rosenkraenzer 2010-11-09 05:29:27 UTC
Fixed with commit 2a39ade5de89f0ea01d47832f5066f1b7eb073b2
Comment 6 sophie 2011-01-13 07:07:44 UTC
Closing - Sophie